source: openpam/trunk/autogen.des @ 852

Last change on this file since 852 was 852, checked in by Dag-Erling Smørgrav, 6 years ago

BullseyeCoverage? needs to know exactly which compiler we're using.

  • Property svn:eol-style set to native
  • Property svn:executable set to *
  • Property svn:keywords set to Id
File size: 673 bytes
Line 
1#!/bin/sh
2#
3# $Id: autogen.des 852 2015-01-15 17:18:03Z des $
4#
5
6set -ex
7
8. ./autogen.sh
9
10# autoconf prior to 2.62 has issues with zsh 4.2 and newer
11export CONFIG_SHELL=/bin/sh
12
13# BullseyeCoverage needs to know exactly which compiler we're using
14if [ -z "$CC" -a -z "$CPP" -a -z "$CXX" ] ; then
15        if $(which clang clang++ >/dev/null) ; then
16                export CC=${CC:-clang}
17                export CPP=${CPP:-clang -E}
18                export CXX=${CXX:-clang++}
19        elif $(which gcc g++ >/dev/null) ; then
20                export CC=${CC:-gcc}
21                export CPP=${CPP:-gcc -E}
22                export CXX=${CXX:-g++}
23        fi
24fi
25
26./configure \
27        --with-oath \
28        --with-doc \
29        --with-pam-unix \
30        --with-pamtest \
31        --with-su \
32        --enable-debug \
33        --enable-developer-warnings \
34        --enable-werror \
35        "$@"
Note: See TracBrowser for help on using the repository browser.